Bootstrap plugin Not installed The version of the Bootstrap library could not be detected.  Bootstrap version jQuery 1.10.2 Bootstrap requires jQuery 1.7 or greater. Configure jQuery Update.

Scenario on Drupal 7 - after running cron, you got stuck with these two Bootstrap-related errors:

Bootstrap plugin Not installed
The version of the Bootstrap library could not be detected.

Bootstrap version jQuery 1.10.2
Bootstrap requires jQuery 1.7 or greater. Configure jQuery Update.

First error:  Bootstrap plugin Not installed. The version of the Bootstrap library could not be detected.

This seems to be a lack of proper documentation for the bootstrap plugin / library mainteners for Drupal 7. First impression would be for users to go directly to https://getbootstrap.com/ to download the Bootstrap plugin library. However, the current version available does not seem to work with Drupal 7. Instad, you need to download the library from the GitHub repository https://github.com/twbs/bootstrap/releases for example, the version https://github.com/twbs/bootstrap/releases/tag/v4.3.1. This version allows for the required CSS and JavaScript (JS) files below that is required by Drupal 7. Make sure below files are uploaded and found in the correct location accordingly.

  • sites/all/libraries/bootstrap/css/bootstrap.min.css
  • sites/all/libraries/bootstrap/js/bootstrap.min.js

Bootstrap plugin not detected CSSBootstrap plugin not detected Javscript JS

Second error: Bootstrap requires jQuery 1.7 or greater. Configure jQuery Update.

This seems another glitch or bug where you already have jQuery set to 1.10, yet cron still reads jQuery 1.7 as a higher version than 1.10. While 1.10 is indeed higher than 1.7 this bug detects the integer after the decimal point in the wrong way. Therefore using either jQuery versions 1.8 or 1.9 should work and make the error go away. In below example, we can manage switching of jQuery using the module jQuery Update /admin/config/development/jquery_update

Drupal error - Bootstrap requires jQuery 1.7 or greater. Configure jQuery Update.

Leave a Comment

Plain text

  • No HTML tags allowed.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Lines and paragraphs break automatically.
To prevent automated spam submissions leave this field empty.
CAPTCHA
This question is for testing whether or not you are a human visitor and to prevent automated spam submissions.
5 + 7 =
Solve this simple math problem and enter the result. E.g. for 1+3, enter 4.
Get reliable web hosting services

Recurring donation

Make Donation

  • Other: $

Donate now

Single donation

Make Donation

  • Other: $

Donate now